Ask Your Question
1

rqt_graph not working on Windows 10

asked 2020-09-07 17:40:36 -0500

IgnacioCipo gravatar image

Hello, I'm starting with ROS, I installed it (Noetic version) on Windows 10 successfully and I am currently following ROS tutorials. When I reached "Understanding ROS Topics" and run "rosrun rqt_graph rqt_graph" it opens the GUI but it's empty. This is the error showed in the command line:

PluginHandlerDirect._restore_settings() plugin "rqt_graph/RosGraph#0" raised an exception: Traceback (most recent call last): File "c:\opt\ros\noetic\x64\lib\site-packages\pydot.py", line 1912, in create stdout_data, stderr_data, process = call_graphviz( File "c:\opt\ros\noetic\x64\lib\site-packages\pydot.py", line 129, in call_graphviz process = subprocess.Popen( File "subprocess.py", line 854, in __init__ File "subprocess.py", line 1307, in _execute_child FileNotFoundError: [WinError 2] The system cannot find the file specified

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "c:\opt\ros\noetic\x64\lib\site-packages\qt_gui\plugin_handler_direct.py", line 121, in _restore_settings self._plugin.restore_settings(plugin_settings_plugin, instance_settings_plugin) File "c:\opt\ros\noetic\x64\lib\site-packages\rqt_graph\ros_graph.py", line 260, in restore_settings self._refresh_rosgraph() File "c:\opt\ros\noetic\x64\lib\site-packages\rqt_graph\ros_graph.py", line 289, in _refresh_rosgraph self._update_graph_view(self._generate_dotcode()) File "c:\opt\ros\noetic\x64\lib\site-packages\rqt_graph\ros_graph.py", line 308, in _generate_dotcode return self.dotcode_generator.generate_dotcode( File "c:\opt\ros\noetic\x64\lib\site-packages\rqt_graph\dotcode.py", line 914, in generate_dotcode dotcode = dotcode_factory.create_dot(dotgraph) File "c:\opt\ros\noetic\x64\lib\site-packages\qt_dotgraph\pydotfactory.py", line 175, in create_dot dot = graph.create_dot() File "c:\opt\ros\noetic\x64\lib\site-packages\pydot.py", line 1722, in new_method return self.create( File "c:\opt\ros\noetic\x64\lib\site-packages\pydot.py", line 1922, in create raise OSError(*args) FileNotFoundError: [WinError 2] "dot" not found in path.

Exception in thread Thread-3: Traceback (most recent call last): File "c:\opt\ros\noetic\x64\lib\site-packages\rospy\impl\tcpros_base.py", line 154, in run (client_sock, client_addr) = self.server_sock.accept() File "socket.py", line 292, in accept OSError: [WinError 10038] An operation was attempted on something that is not a socket

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "threading.py", line 932, in _bootstrap_inner File "threading.py", line 870, in run File "c:\opt\ros\noetic\x64\lib\site-packages\rospy\impl\tcpros_base.py", line 160, in run (e_errno, msg) = e.args ValueError: too many values to unpack (expected 2)

I would appreciate it if someone could help me.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-09-07 20:10:37 -0500

IgnacioCipo gravatar image

I solved this problem following the 3 steps in this link: https://www.programmersought.com/arti... Hope this help others with the same problem I had.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2020-09-07 17:40:36 -0500

Seen: 297 times

Last updated: Sep 07 '20